#include "triangles.h"
#include<bits/stdc++.h>

#define len(v) (int)v.size()
#define all(v) v.begin(), v.end()

using namespace std;
using ll = long long int;
using ld = long double;

vector<vector<int>> solve(int n) {
    for (int i = 0; i < 4; ++i) {
        for (int j = 0; j < 4; ++j) {
            if (i == j) continue;
            for (int o = 0; o < 4; ++o) {
                if (o == i) continue;
                if (o == j) continue;
                for (int k = 0; k < 4; ++k) {
                    if (k == i) continue;
                    if (k == j) continue;
                    if (k == o) continue;
                    Triangle A(i, o, k), B(i, o, j), C(j, o, k), D(j, k, i);
                    if (compare({A}, {B, D, C}) == 0) {
                        return {{i, o, j}, {j, o, k}, {k, j, i}};
                    }
                }
            }
        }
    }
    return {{0, 1, 2}, {0, 3, 2}};
}